Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Last person to save

  1. #1
    I could stop if I wanted to
    Join Date
    2004-07
    Posts
    206
    Login to Give a bone
    0

    Default Last person to save

    Hi Guys,

    What is the tip to trace Cad technician who save the last the drawing if we don't have stamp being set?

    cheers

  2. #2
    Active Member
    Join Date
    2010-06
    Posts
    57
    Login to Give a bone
    0

    Default Re: Last person to save

    One way of doing it with the drawing not open is to right click on the file & look at the properties box. Choose the statistics tab & it should have last saved by there.
    Not sure how you can do it if the drawing is open though.

  3. #3
    I could stop if I wanted to
    Join Date
    2004-07
    Posts
    206
    Login to Give a bone
    0

    Default Re: Last person to save

    Thats my problem now.If i right click the file name and check the properties, the text appear in the line "Last save by" is our company name. No specific name for PC users (maybe its our IT fault why it came out like this). Thats why i ask if anyone have tip/s to trace it inside Autocad.

    cheers.

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: Last person to save

    Give this a try:

    Code:
    (vl-load-com)
    
    (defun c:DwgOwner (/ *error* ok oAdsSecurityUtility oSecurityDescriptor)
      (princ "\rDWGOWNER ")
    
      (defun *error* (msg)
        (if	oSecurityDescriptor
          (vlax-release-object oSecurityDescriptor)
        )
        (if	oAdsSecurityUtility
          (vlax-release-object oAdsSecurityUtility)
        )
        (cond ((not msg))							; Normal exit
    	  ((member msg '("Function cancelled" "quit / exit abort")))	; <esc> or (quit)
    	  ((princ msg))							; Fatal error, display it
        )
        (princ)
      )
    
      (if
        (and
          (setq ok (= 1 (getvar 'dwgtitled)))
          (setq oAdsSecurityUtility
    	     (vlax-get-or-create-object
    	       "ADsSecurityUtility"
    	     )
          )
          (setq oSecurityDescriptor
    	     (vlax-invoke
    	       oAdsSecurityUtility
    	       'GetSecurityDescriptor
    	       (strcat (getvar 'dwgprefix)
    		       (getvar 'dwgname)
    	       )
    	       1
    	       1
    	     )
          )
        )
         (prompt
           (strcat "= "
    	       (strcase (vlax-get oSecurityDescriptor 'owner))
           )
         )
         (cond
           (oAdsSecurityUtility
    	(prompt
    	  "\n** Unable to obtain \"SecurityDescriptor\" object **"
    	)
           )
           (ok
    	(prompt
    	  "\n** Unable to create \"ADsSecurityUtility\" object **"
    	)
           )
           ((prompt "\n** The drawing has not been saved yet **"))
         )
      )
      (*error* nil)
    )
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    I could stop if I wanted to
    Join Date
    2004-07
    Posts
    206
    Login to Give a bone
    0

    Default Re: Last person to save

    Thanks BlackBox but didnt work. Any advice?

    Quote Originally Posted by BlackBox View Post
    Give this a try:

    Code:
    (vl-load-com)
    
    (defun c:DwgOwner (/ *error* ok oAdsSecurityUtility oSecurityDescriptor)
      (princ "\rDWGOWNER ")
    
      (defun *error* (msg)
        (if	oSecurityDescriptor
          (vlax-release-object oSecurityDescriptor)
        )
        (if	oAdsSecurityUtility
          (vlax-release-object oAdsSecurityUtility)
        )
        (cond ((not msg))							; Normal exit
    	  ((member msg '("Function cancelled" "quit / exit abort")))	; <esc> or (quit)
    	  ((princ msg))							; Fatal error, display it
        )
        (princ)
      )
    
      (if
        (and
          (setq ok (= 1 (getvar 'dwgtitled)))
          (setq oAdsSecurityUtility
    	     (vlax-get-or-create-object
    	       "ADsSecurityUtility"
    	     )
          )
          (setq oSecurityDescriptor
    	     (vlax-invoke
    	       oAdsSecurityUtility
    	       'GetSecurityDescriptor
    	       (strcat (getvar 'dwgprefix)
    		       (getvar 'dwgname)
    	       )
    	       1
    	       1
    	     )
          )
        )
         (prompt
           (strcat "= "
    	       (strcase (vlax-get oSecurityDescriptor 'owner))
           )
         )
         (cond
           (oAdsSecurityUtility
    	(prompt
    	  "\n** Unable to obtain \"SecurityDescriptor\" object **"
    	)
           )
           (ok
    	(prompt
    	  "\n** Unable to create \"ADsSecurityUtility\" object **"
    	)
           )
           ((prompt "\n** The drawing has not been saved yet **"))
         )
      )
      (*error* nil)
    )

  6. #6
    I could stop if I wanted to
    Join Date
    2004-07
    Posts
    206
    Login to Give a bone
    0

    Default Re: Last person to save

    Hi BlackBox its working now, problem it appear like this.

    Code:
    Command:
    Command: DWGOWNER
    DWGOWNER = S-1-5-21-421223986-415093667-787569037-1022
    note the drawing was in our server.

    cheers
    Last edited by BlackBox; 2014-05-16 at 02:01 PM. Reason: Please use [CODE] Tags

  7. #7
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: Last person to save

    Interesting; something is clearly different about our environments, as the format I get returned to the Command Line, is in the <DomainName>/<UserName> format.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  8. #8
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Last person to save

    It would seem that the simplest approach would be to use a reactor, and write LOGINNAME to DWGProperties?

    The GUID that was returned looks like what I would expect from a deleted domain account...

  9. #9
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,714
    Login to Give a bone
    0

    Default Re: Last person to save

    Quote Originally Posted by cadtag View Post
    It would seem that the simplest approach would be to use a reactor, and write LOGINNAME to DWGProperties?
    I had a similar thought, to use a reactor to log this information... Only rather than use DWGPROPS values, I was going to store in the DWG with a bit more concealment (easy for developers to find), and to allow users to continue to use DWGPROPS as they wish.

    Also worthy of note, that this does not help with the current situation. Only drawings saved after implementation would offer such functionality, and inherently requires all users are (even if unknowingly) using same.



    Quote Originally Posted by cadtag View Post
    The GUID that was returned looks like what I would expect from a deleted domain account...
    Interesting; seems logical.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  10. #10
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Last person to save

    the advantage of DWG Props for this is that the info would be visible from Explorer via right -click. I don't see any way to display it as a column view in Explorer though ---pity

    Agreed that it won't help with old dwg if they all show up as saved by LapTop. that doesn't hapopoen here though -- all the dwg's show up as saved by login name. (summary Tab, file properties)

    Presumably if the server OS is using NTFS, the file owner ought to indicate who did the last save.

Page 1 of 2 12 LastLast

Similar Threads

  1. Does anyone have a 3D person?
    By ReachAndre in forum AutoCAD 3D (2007 and above)
    Replies: 10
    Last Post: 2007-05-22, 06:23 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •